org.apache.commons.math3.optimization.direct

## Class BOBYQAOptimizer.PathIsExploredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math3.optimization.direct.BOBYQAOptimizer.PathIsExploredException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    BOBYQAOptimizer

      private static class BOBYQAOptimizer.PathIsExploredException
      extends RuntimeException

  Marker for code paths that are not explored with the current unit tests. If the path becomes explored, it should just be removed from the code.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `PATH_IS_EXPLORED`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BOBYQAOptimizer.PathIsExploredException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### PATH_IS_EXPLORED

          private static final String PATH_IS_EXPLORED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BOBYQAOptimizer.PathIsExploredException

          BOBYQAOptimizer.PathIsExploredException()

Copyright (c) 2003-2013 Apache Software Foundation